PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::electrical::diffusion::ActiveRegion3D::Region Struct Reference

`#include <solvers/electrical/diffusion/diffusion3d.hpp>`

Collaboration diagram for plask::electrical::diffusion::ActiveRegion3D::Region:
[legend]

## Public Member Functions
| Region ()
| Region (size_t b, size_t t, size_t x, size_t y, const std::vector< bool > &isQW)

## Public Attributes
size_t | bottom
size_t | top
size_t | lon
size_t | tra
bool | warn
std::vector< bool > | isQW

## Detailed Description

Definition at line 37 of file diffusion3d.hpp.

## Constructor & Destructor Documentation

## ◆ Region() [1/2]

plask::electrical::diffusion::ActiveRegion3D::Region::Region | ( |  | ) |
| inline

Definition at line 41 of file diffusion3d.hpp.

## ◆ Region() [2/2]

plask::electrical::diffusion::ActiveRegion3D::Region::Region | ( | size_t | b,
|  | size_t | t,
|  | size_t | x,
|  | size_t | y,
|  | const std::vector< bool > & | isQW
| ) |  |
| inline

Definition at line 42 of file diffusion3d.hpp.

## Member Data Documentation

## ◆ bottom

size_t plask::electrical::diffusion::ActiveRegion3D::Region::bottom

Definition at line 38 of file diffusion3d.hpp.

## ◆ isQW

std::vector<bool> plask::electrical::diffusion::ActiveRegion3D::Region::isQW

Definition at line 40 of file diffusion3d.hpp.

## ◆ lon

size_t plask::electrical::diffusion::ActiveRegion3D::Region::lon

Definition at line 38 of file diffusion3d.hpp.

## ◆ top

size_t plask::electrical::diffusion::ActiveRegion3D::Region::top

Definition at line 38 of file diffusion3d.hpp.

## ◆ tra

size_t plask::electrical::diffusion::ActiveRegion3D::Region::tra

Definition at line 38 of file diffusion3d.hpp.

## ◆ warn

bool plask::electrical::diffusion::ActiveRegion3D::Region::warn

Definition at line 39 of file diffusion3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/diffusion/diffusion3d.hpp